package com.boylesoftware.cb2;


/**
 * Indicates that there is no BLO container instance for the requested session.
 * This exception is thrown by the BL Manager's <code>getBLOContainer</code>
 * method.
 *
 * @author Lev Himmelfarb
 * @version $Id: NoBLOContainerException.java,v 1.2 2004/04/20 16:00:58 levahim Exp $
 */
public class NoBLOContainerException
    extends BLException {

    /**
     * Constructs an exception.
     *
     * @param message error message.
     */
    public NoBLOContainerException(String message) {
        super(message);
    }
}
