<!--
  - Stylesheet for JVM Info page.
  -
  - author Lev Himmelfarb
  - version $Id: requests.xsl,v 1.1 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="timezone"/>

  <xsl:template match="/">
    <html>
      <head>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
	  <body class="content">
	    <div class="caption">Request Statistics<sup>*</sup></div>
        <p>
	      <span class="sectionTitle">Last Hour</span><span class="special"> (actions per every 12 secs)</span><br/>
          <img src="cb2-admin?disp=pic&amp;ss=ctrlr&amp;name=requests&amp;size=N&amp;ind=0" width="348" height="120"/>
        </p>
        <p>
	      <span class="sectionTitle">Last 24 Hours</span><span class="special"> (actions per every 5 mins)</span><br/>
          <img src="cb2-admin?disp=pic&amp;ss=ctrlr&amp;name=requests&amp;size=N&amp;ind=1" width="348" height="120"/>
        </p>
        <p>
	      <span class="sectionTitle">Last 6 Days</span><span class="special"> (actions per every half an hour)</span><br/>
          <img src="cb2-admin?disp=pic&amp;ss=ctrlr&amp;name=requests&amp;size=N&amp;ind=2" width="348" height="120"/>
        </p>
        <div class="comment"><sup>*</sup> All times are in <xsl:value-of select="$timezone"/></div>
	  </body>
    </html>
  </xsl:template>

</xsl:stylesheet>
