package com.boylesoftware.cb2.commons.user;

import com.boylesoftware.cb2.DataModel;


/**
 * Data model for basic application user account information.
 *
 * @author Lev Himmelfarb
 * @version $Id: UserBasicDM.java,v 1.1 2003/04/22 17:34:18 levahim Exp $
 * @see UserBLO
 */
public class UserBasicDM
    extends DataModel {

    /**
     * The user id.
     */
    public long userId;

    /**
     * The user's login name.
     */
    public String loginName;

    /**
     * The user's login password.
     */
    public String password;

    /**
     * List of security roles this user is associated with. This field
     * is never <code>null</code> but can be empty.
     */
    public UserRoleBasicDM [] roles;
}
