package com.boylesoftware.cb2.presentation.servlet;

import org.apache.struts.action.ActionForm;


/**
 * An empty form bean. Sometimes we need it to trick the Struts.
 * For example, if we want to assign an HTML name to a form, but
 * at the same time we do not want to associate it with a "real"
 * for bean. Then, in the action mapping, on in the <code>name</code>
 * attribute of the <code>html:form</code> tag we specify this
 * empty bean.
 *
 * @author Lev Himmelfarb
 * @version $Id: EmptyForm.java,v 1.2 2003/07/20 16:04:19 levahim Exp $
 */
public class EmptyForm
    extends ActionForm
    implements PresentationElement {

    /**
     * Does nothing.
     *
     * @param actionCtx is ignored.
     */
    public void init(ActionContext actionCtx) {

        // do nothing
    }

    /**
     * Does nothing.
     */
    public void reset() {

        // do nothing
    }
}
