package com.boylesoftware.cb2;


/**
 * Exception used by <code>DAOSpecialSyntaxParser</code> to indicate
 * errors to the caller.
 *
 * @author Lev Himmelfarb
 * @version $Id: DAOSpecialSyntaxException.java,v 1.1 2004/02/15 19:01:58 levahim Exp $
 */
final class DAOSpecialSyntaxException
    extends Exception {

    /**
     * Constructs an exception.
     *
     * @param message the error message describing the cause of the
     * exception.
     */
    DAOSpecialSyntaxException(String message) {
        super(message);
    }
}
