package com.boylesoftware.cb2;


/**
 * Thown by the BL Manager's <code>getBLOContainer</code> method to indicate
 * that there are already too many threads waiting for the BLO container to get
 * unlocked.
 *
 * @author Lev Himmelfarb
 * @version $Id: TooManyWaitingThreadsException.java,v 1.2 2004/04/20 16:00:58 levahim Exp $
 */
public class TooManyWaitingThreadsException
    extends BLException {

    /**
     * Constructs a new exception instance.
     */
    public TooManyWaitingThreadsException() {
        super("There are already too many threads waiting for BLO container instance.");
    }
}
