<!--
  - Stylesheet for Application Property Value popup.
  -
  - author Lev Himmelfarb
  - version $Id: apppropvalue.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="propName"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>Application Property Value</title>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="appProps"/>
  </xsl:template>

  <xsl:template match="appProps">
    <xsl:apply-templates select="prop[@name=$propName]"/>
  </xsl:template>

  <xsl:template match="prop">
    <table class="popup" width="100%">
      <caption>Application property <xsl:value-of select="@name"/></caption>
      <tr>
        <td><pre><xsl:value-of select="."/></pre></td>
      </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
