<!--
  - Stylesheet for Servlet Container Attribute Value popup.
  -
  - author Lev Himmelfarb
  - version $Id: servletattrvalue.xsl,v 1.2 2003/07/20 16:04:19 levahim Exp $
 -->

<xsl:stylesheet
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  version="1.0">

  <xsl:output method="html" encoding="ISO-8859-1"/>

  <xsl:param name="attrName"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>Servlet Container Attribute Value</title>
        <link rel="stylesheet" type="text/css" href="cb2-admin?disp=css"/>
      </head>
      <body class="content">
        <xsl:apply-templates/>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="stats">
    <xsl:apply-templates select="servletAttrs"/>
  </xsl:template>

  <xsl:template match="servletAttrs">
    <xsl:apply-templates select="attr[@name=$attrName]"/>
  </xsl:template>

  <xsl:template match="attr">
    <table class="popup" width="100%">
      <caption>Servlet container attribute <xsl:value-of select="@name"/></caption>
      <tr>
        <td><pre><xsl:value-of select="stringValue"/></pre></td>
      </tr>
    </table>
  </xsl:template>

</xsl:stylesheet>
